Subject: Re: bug#66806: 30.0.50; [PATCH] 'project-find-regexp' passes Git submodules to the search program

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Oct 2023 21:22:54 +0200

> Date: Sun, 29 Oct 2023 10:54:28 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> >> -              (project-files pr)
> >> +              ;; XXX: See the comment in project-query-replace-regexp.
> >> +              (cl-delete-if-not #'file-regular-p (project-files pr))
> >                    ^^^^^^^^^^^^^^^^
> > I think we want to prefer using seq.el functions, since seq.el is
> > nowadays preloaded.  Is there a good reason to use cl-delete-if-not
> > here?
> 
> Well, that's just copy-pasted from some other functions in project.el. 
> If we want to go the minimal route, I could update all those workarounds.
> 
> Or we could go the maximal route and fix it at its source. Here's an 
> updated patch for the maximal route that uses 'seq-difference'.

That's up to Dmitry; from my POV it is enough that new code prefers
seq.el.